SSTC/Controllers/MyAccountController.cs
using Microsoft.EntityFrameworkCore;
using SSTC.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace SSTC.Controllers
{
    [Authorize]
    public class MyAccountController : Controller
    {
        // GET: MyAccount
        public ActionResult Index()
        {
            return View();
        }
        /// <summary>
        /// Metoda, która pobiera dane zalogowanego użytkownika
        /// </summary>
        /// <returns>Zwraca widok z danymi zalogowanego użytkownika</returns>
        [Authorize]
        public ActionResult MyAccount()
        {
            if (User.Identity.Name != null)
            {
                string login;
                login = User.Identity.Name;
                User user;
                using (SQLiteDBContext dBContext = new SQLiteDBContext())
                {
                    user = dBContext.User.Include(c => c.Contract).Where(a => a.Login.Equals(login)).FirstOrDefault();
                }
                return View(user);
            }
            else
            {
                return View();
            }
        }
        /// <summary>
        /// Metoda zapisująca zmiany zalogowanego użytkownika do bazy
        /// </summary>
        /// <param name="user">Dane uzytkownika z widoku</param>
        /// <returns>Zwraca widok ze zaktualizowanymi danymi użytkownika</returns>
        [Authorize]
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult MyAccount(User user)
        {
            User user2 = new User();

            using (SQLiteDBContext db = new SQLiteDBContext())
            {
                //string login = Session["UserName"].ToString();
                FormsAuthentication.GetAuthCookie(user.Name, false);
                user2 = db.User.Where(a => a.Login.Equals(user.Login)).FirstOrDefault();

                user2.Name = user.Name;
                user2.Surname = user.Surname;
                user2.Mail = user.Mail;
                db.SaveChanges();
            }


            return View(user2);
        }

    }
}

SSTC/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SSTC - @ViewBag.Title</title>
    <link rel="icon" href="~/Images/logo.png">
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("SSTC", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("O nas", "About", "Home")</li>
                    <li>@Html.ActionLink("Kontakt", "Contact", "Home")</li>
                    @if (User.Identity.IsAuthenticated)
                    {
                        if (User.IsInRole("Admin"))
                        {
                            <li>@Html.ActionLink("Zarządzaj", "Dashboard", "Admin")</li>
                        }
                        if (User.IsInRole("Manager"))
                        {
                            <li>@Html.ActionLink("Do zaakcepowania", "Dashboard", "Admin")</li>
                        }
                        if (User.IsInRole("Accountant"))
                        {
                            <li>@Html.ActionLink("Raporty", "Raports", "Accountant")</li>
                        }
                        <li>@Html.ActionLink("Czas pracy", "Calendar", "User")</li>
                        <li>@Html.ActionLink("Wnioski o nieobecność", "Motions", "User")</li>
                        <li>@Html.ActionLink(User.Identity.Name, "MyAccount", "MyAccount")</li>
                        <li>@Html.ActionLink("Wyloguj", "Logout", "Home")</li>

                    }
                    else
                    {
                        <li>@Html.ActionLink("Login", "Login", "Home")</li>
                    }
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer align="center">
            <p>- &copy; @DateTime.Now.Year - SSTC - Mariusz Lewczuk - Piotr Barchan -</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>